SharedSessionBuilder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface SharedSessionBuilder

All Superinterfaces:
  SessionBuilder

    public interface SharedSessionBuilder

extends SessionBuilder

Specialized `SessionBuilder` with access to stuff from another session

Method Summary
`SharedSessionBuilder` | `autoClose()` Signifies that the autoClose flag from the original session should be used to create the new session
`SharedSessionBuilder` | `autoClose(boolean autoClose)` Should the session be automatically closed after transaction completion
`SharedSessionBuilder` | `autoJoinTransactions()` Signifies that the autoJoinTransaction flag from the original session should be used to create the new session
`SharedSessionBuilder` | `autoJoinTransactions(boolean autoJoinTransactions)` Should the session built automatically join in any ongoing JTA transactions
`SharedSessionBuilder` | `connection()` Signifies that the connection from the original session should be used to create the new session
`SharedSessionBuilder` | `connection(Connection connection)` Adds a specific connection to the session options
`SharedSessionBuilder` | `connectionReleaseMode()` Signifies that the connection release mode from the original session should be used to create the new session
`SharedSessionBuilder` | `connectionReleaseMode(ConnectionReleaseMode connectionReleaseMode)` Use a specific connection release mode for these session options
`SharedSessionBuilder` | `flushBeforeCompletion()` Signifies that the flushBeforeCompletion flag from the original session should be used to create the new session
`SharedSessionBuilder` | `flushBeforeCompletion(boolean flushBeforeCompletion)` Should the session be automatically flushed during the "before completion" phase of transaction handling.
`SharedSessionBuilder` | `interceptor()` Signifies the interceptor from the original session should be used to create the new session
`SharedSessionBuilder` | `interceptor(Interceptor interceptor)` Adds a specific interceptor to the session options
`SharedSessionBuilder` | `noInterceptor()` Signifies that no `Interceptor` should be used.
`SharedSessionBuilder` | `transactionContext()` Signifies that the transaction context from the original session should be used to create the new session

Methods inherited from interface org.hibernate.SessionBuilder
`openSession, tenantIdentifier`

Method Detail

### interceptor

    SharedSessionBuilder interceptor()

  Signifies the interceptor from the original session should be used to create the new session

  Returns:
    `this`, for method chaining

### connection

    SharedSessionBuilder connection()

  Signifies that the connection from the original session should be used to create the new session

  Returns:
    `this`, for method chaining

### connectionReleaseMode

    SharedSessionBuilder connectionReleaseMode()

  Signifies that the connection release mode from the original session should be used to create the new session

  Returns:
    `this`, for method chaining

### autoJoinTransactions

    SharedSessionBuilder autoJoinTransactions()

  Signifies that the autoJoinTransaction flag from the original session should be used to create the new session

  Returns:
    `this`, for method chaining

### autoClose

    SharedSessionBuilder autoClose()

  Signifies that the autoClose flag from the original session should be used to create the new session

  Returns:
    `this`, for method chaining

### flushBeforeCompletion

    SharedSessionBuilder flushBeforeCompletion()

  Signifies that the flushBeforeCompletion flag from the original session should be used to create the new session

  Returns:
    `this`, for method chaining

### transactionContext

    SharedSessionBuilder transactionContext()

  Signifies that the transaction context from the original session should be used to create the new session

  Returns:
    `this`, for method chaining

### interceptor

    SharedSessionBuilder interceptor(Interceptor interceptor)

  Description copied from interface: `SessionBuilder`
  Adds a specific interceptor to the session options

  Specified by:
    `interceptor` in interface `SessionBuilder`
  Parameters:
    `interceptor` - The interceptor to use.
  Returns:
    `this`, for method chaining

### noInterceptor

    SharedSessionBuilder noInterceptor()

  Description copied from interface: `SessionBuilder`
  Signifies that no `Interceptor` should be used.

  By default the `Interceptor` associated with the `SessionFactory` is passed to the `Session` whenever we open one without the user having specified a specific interceptor to use.

  Calling `SessionBuilder.interceptor(Interceptor)` with null has the same net effect.

  Specified by:
    `noInterceptor` in interface `SessionBuilder`
  Returns:
    `this`, for method chaining

### connection

    SharedSessionBuilder connection(Connection connection)

  Description copied from interface: `SessionBuilder`
  Adds a specific connection to the session options

  Specified by:
    `connection` in interface `SessionBuilder`
  Parameters:
    `connection` - The connection to use.
  Returns:
    `this`, for method chaining

### connectionReleaseMode

    SharedSessionBuilder connectionReleaseMode(ConnectionReleaseMode connectionReleaseMode)

  Description copied from interface: `SessionBuilder`
  Use a specific connection release mode for these session options

  Specified by:
    `connectionReleaseMode` in interface `SessionBuilder`
  Parameters:
    `connectionReleaseMode` - The connection release mode to use.
  Returns:
    `this`, for method chaining

### autoJoinTransactions

    SharedSessionBuilder autoJoinTransactions(boolean autoJoinTransactions)

  Description copied from interface: `SessionBuilder`
  Should the session built automatically join in any ongoing JTA transactions

  Specified by:
    `autoJoinTransactions` in interface `SessionBuilder`
  Parameters:
    `autoJoinTransactions` - Should JTA transactions be automatically joined
  Returns:
    `this`, for method chaining

### autoClose

    SharedSessionBuilder autoClose(boolean autoClose)

  Description copied from interface: `SessionBuilder`
  Should the session be automatically closed after transaction completion

  Specified by:
    `autoClose` in interface `SessionBuilder`
  Parameters:
    `autoClose` - Should the session be automatically closed
  Returns:
    `this`, for method chaining

### flushBeforeCompletion

    SharedSessionBuilder flushBeforeCompletion(boolean flushBeforeCompletion)

  Description copied from interface: `SessionBuilder`
  Should the session be automatically flushed during the "before completion" phase of transaction handling.

  Specified by:
    `flushBeforeCompletion` in interface `SessionBuilder`
  Parameters:
    `flushBeforeCompletion` - Should the session be automatically flushed
  Returns:
    `this`, for method chaining

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.